netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
at_ifaddr Struct Reference

`#include <at_var.h>`

## Data Fields
struct ifaddr | aa_ifa
int | aa_flags
unsigned short | aa_firstnet
unsigned short | aa_lastnet
int | aa_probcnt
struct at_ifaddr * | aa_next

## Detailed Description

For phase2, we need to keep not only our address on an interface, but also the legal networks on the interface.

## Field Documentation

## ◆ aa_firstnet

unsigned short at_ifaddr::aa_firstnet

## ◆ aa_flags

int at_ifaddr::aa_flags

## ◆ aa_ifa

struct ifaddr at_ifaddr::aa_ifa

## ◆ aa_lastnet

unsigned short at_ifaddr::aa_lastnet

## ◆ aa_next

struct at_ifaddr* at_ifaddr::aa_next

## ◆ aa_probcnt

int at_ifaddr::aa_probcnt

The documentation for this struct was generated from the following file:

- at_var.h